Subject: bug#59272: [PATCH] Make Memory Human Readable in proced Buffers

From: Laurence Warne <[email-masked]>
Date: Tue, 15 Nov 2022 09:51:53 +0000

I think the suggestion to use a custom variable (or just use
byte-count-to-string) is a good one, but AFAICS the argument to
file-size-human-readable should be bytes, but proced gets rss and vsize
from 'process-attributes' which uses kilobytes.  So we're still stuck with
having to choose one of:

(funcall #'byte-count-to-string-function (* 1000 kilobytes))
(funcall #'byte-count-to-string-function (* 1024 kilobytes))

I'm not really familiar with c, so I can't tell from process.c

On Tue, Nov 15, 2022 at 8:59 AM Stefan Kangas <[email-masked]>
wrote:

> Juri Linkov <[email-masked]> writes:
>
> > Maybe the default should be the same as in byte-count-to-string-function?
>
> Make sense to me.  Or maybe we should just use that variable?
>